<?php
/*
Simple:Press
Uploads Viewer Plugin components Routine
$LastChangedDate: 2015-01-02 09:47:12 -0800 (Fri, 02 Jan 2015) $
$Rev: 12288 $
*/

function sp_uploads_viewer_do_load_js($footer) {
    $script = (defined('SP_SCRIPTS_DEBUG') && SP_SCRIPTS_DEBUG) ? SPUVSCRIPT.'jqueryFileTree-dev.js' : SPUVSCRIPT.'jqueryFileTree.js';
    sp_plugin_enqueue_script('spuvjs', $script, array('jquery'), false, $footer);
}

function sp_uploads_viewer_do_head() {
   	$css = sp_find_css(SPUVCSS, 'sp-uploads-viewer.css', 'sp-uploads-viewer.spcss');
    sp_plugin_enqueue_style('sp-uploads-viewer', $css);
}

function sp_uploads_viewer_do_button($out, $type, $uploadImages, $uploadMedia, $uploadFiles) {
	global $spThisForum, $spThisTopic, $spThisUser;

    if (empty($type) || $type == 'edit') {
        if (empty($spThisForum)) {
            if (empty($spThisTopic)) {
                $fid = '';
            } else {
                $fid = $spThisTopic->forum_id;
            }
        } else {
            $fid = $spThisForum->forum_id;
        }
        if ($uploadImages) {
            $toolTip = __('View Existing Image Uploads', 'sp-uv');
        	$site = SFHOMEURL.'index.php?sp_ahah=uploads-viewer-view&amp;sfnonce='.wp_create_nonce('forum-ahah')."&amp;fid=$fid&amp;type=images";
        	$out.= "<a rel='nofollow' class='spUploadsViewerButton spButton' title='$toolTip' href='javascript:void(null)' onclick='spjDialogAjax(this, \"$site\", \"$toolTip\", 400, 0, \"center\");'>".$toolTip.'</a>';
        }
        if ($uploadMedia) {
            $toolTip = __('View Existing Media Uploads', 'sp-uv');
        	$site = SFHOMEURL.'index.php?sp_ahah=uploads-viewer-view&amp;sfnonce='.wp_create_nonce('forum-ahah')."&amp;fid=$fid&amp;type=media";
        	$out.= "<a rel='nofollow' class='spUploadsViewerButton spButton' title='$toolTip' href='javascript:void(null)' onclick='spjDialogAjax(this, \"$site\", \"$toolTip\", 400, 0, \"center\");'>".$toolTip.'</a>';
        }
        if ($uploadFiles) {
            $toolTip = __('View Existing File Uploads', 'sp-uv');
        	$site = SFHOMEURL.'index.php?sp_ahah=uploads-viewer-view&amp;sfnonce='.wp_create_nonce('forum-ahah')."&amp;fid=$fid&amp;type=files";
        	$out.= "<a rel='nofollow' class='spUploadsViewerButton spButton' title='$toolTip' href='javascript:void(null)' onclick='spjDialogAjax(this, \"$site\", \"$toolTip\", 400, 0, \"center\");'>".$toolTip.'</a>';
        }
    }
    return $out;
}
?>