<?php
/*
Simple:Press
File Uploader plugin ahah routine for management functions
$LastChangedDate: 2013-04-13 15:52:22 -0700 (Sat, 13 Apr 2013) $
$Rev: 10170 $
*/

if (preg_match('#'.basename(__FILE__).'#', $_SERVER['PHP_SELF'])) die('Access denied - you cannot directly call this file');

sp_forum_api_support();
global $spThisUser;

echo '<div id="spFileTreeContainer">';
echo '<div id="spFileTree"></div>';
echo '<div id="spFileThumb" style="background: #ffffff; border: 1px solid gray; padding: 5px; display:none;"></div>';
echo '</div>';

if (empty($spThisUser->ID)) die();
$user_slug = sp_create_slug($spThisUser->user_login, false);

$sfconfig = sp_get_option('sfconfig');
$uploads = sp_get_option('spPlupload');

$type = sp_esc_str($_GET['type']);
switch ($type) {
    case 'images':
        $uploads_link = $sfconfig['image-uploads'].'/'.$user_slug.'/';
        $width = 0;
        $height = 0;
        break;

    case 'media':
        $uploads_link = $sfconfig['media-uploads'].'/'.$user_slug.'/';
        $width = (!empty($uploads['mediawidth'])) ? $uploads['mediawidth'] : 320;
        $height = (!empty($uploads['mediaheight'])) ? $uploads['mediaheight'] : 240;
        break;

    case 'files':
        $uploads_link = $sfconfig['file-uploads'].'/'.$user_slug.'/';
        $width = 0;
        $height = 0;
        break;

    default:
        die();
}
$uploads_path = str_replace('\\', '/', SF_STORE_DIR.'/'.$uploads_link);

$fileScript = str_replace('\\', '/', SPUVLIBURL.'sp-uploads-viewer-display.php')
?>
<script type="text/javascript">
	jQuery(document).ready( function() {
		jQuery('#spFileTree').fileTree({ root: '<?php echo $uploads_path; ?>', url: '<?php echo SF_STORE_URL.'/'.$uploads_link; ?>', script: '<?php echo $fileScript; ?>', type: '<?php echo $type; ?>', width : '<?php echo $width; ?>', height : '<?php echo $height; ?>', multiFolder: false }, function(file) {});
	});
</script>
<?php
die();

?>